Hello guys,

on http://flow3.typo3.org/documentation/guide/partiii/security.html#using-the-authentication-controller
There is a mistake in the documentation: 

    -  flow3/authenticate should be flow3/authentication

Regards
Kay

Related issues:
related to TYPO3.Flow - Task # 40854: Update security documentation (authenti... New 2012-09-12

History
#1 - 2012-09-10 21:44 - Kay Strobach

even better:

{f:uri.action(controller:'Authentication', package:'TYPO3.FLOW3')}

#2 - 2012-09-11 08:27 - Christian Müller
- Category set to - Documentation -

This part of the documentation needs to be rephrased anyway. Since last week (https://review.typo3.org/#/c/14377/) the default
AuthenticationController is deprecated and you should implement your own based on the AbstractAuthenticationController.

Thanks for noticing!

#3 - 2012-09-12 09:52 - Karsten Dambekalns
- Tracker changed from Task to Bug
- Target version set to 1.1.1
- Affected Flow version set to FLOW3 1.1.0

Christian Mueller wrote:
http://flow3.typo3.org/documentation/guide/partiii/security.html#using-the-authentication-controller
https://review.typo3.org/#/c/14377/


the default AuthenticationController is deprecated and you should implement your own based on the AbstractAuthenticationController.

Yes, but for 1.1 it still needs to be fixed.

#4 - 2012-09-12 09:52 - Karsten Dambekalns
- Subject changed from Documentation mistake to Documentation mistake (authentication)

#5 - 2012-09-12 09:55 - Kay Strobach

Karsten Dambekalns wrote:

Christian Mueller wrote:

the default AuthenticationController is deprecated and you should implement your own based on the AbstractAuthenticationController.

I checked out the patch and i've seen, that I implemented exactly the same in my own Authentication controller :D (and I'm working with FLOW3 since
3 days)

#6 - 2012-12-12 08:35 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Complexity set to no-brainer

#7 - 2012-12-14 15:09 - Karsten Dambekalns
- Target version changed from 1.1.1 to 2052

#8 - 2013-08-14 15:40 - Karsten Dambekalns
- Target version changed from 2052 to 1.1.1

2015-08-03 2/2


